Bug 1271324 - sepolicy generate --cgi option makes unbuildable module
Summary: sepolicy generate --cgi option makes unbuildable module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-13 16:00 UTC by Dalibor Pospíšil
Modified: 2018-10-30 10:00 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-215.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 09:59:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3111 None None None 2018-10-30 10:00:02 UTC

Description Dalibor Pospíšil 2015-10-13 16:00:41 UTC
# rpm -qa | grep policy | sort
checkpolicy-2.1.12-6.el7.x86_64
policycoreutils-devel-2.2.5-15.el7.x86_64
policycoreutils-gui-2.2.5-15.el7.x86_64
policycoreutils-python-2.2.5-15.el7.x86_64
policycoreutils-sandbox-2.2.5-15.el7.x86_64
policycoreutils-2.2.5-15.el7.x86_64
selinux-policy-devel-3.13.1-58.el7.noarch
selinux-policy-sandbox-3.13.1-58.el7.noarch
selinux-policy-targeted-3.13.1-58.el7.noarch
selinux-policy-3.13.1-58.el7.noarch
# rpm -q kernel
kernel-3.10.0-322.el7.x86_64
# touch /usr/bin/testpolicy
# mkdir mypolicy
# sepolicy generate -p mypolicy  --cgi /usr/bin/testpolicy
# cd mypolicy
# ./testpolicy.sh
Building and Loading Policy
+ make -f /usr/share/selinux/devel/Makefile testpolicy.pp
Compiling targeted testpolicy module
/usr/bin/checkmodule:  loading policy configuration from tmp/testpolicy.tmp
testpolicy.te":10:ERROR 'type is not defined: httpd_testpolicy_script_t' at token ';' on line 4009:
permissive httpd_testpolicy_script_t;

/usr/bin/checkmodule:  error(s) encountered while parsing configuration
make: *** [tmp/testpolicy.mod] Error 1
+ exit

Comment 2 Vit Mojzis 2018-04-19 09:12:20 UTC
The interface creating types for -cgi scripts was changed (httpd_$1_script_t -> $1_script_t)
Lukas, could you please add appropriate aliases?

Comment 3 Lukas Vrabec 2018-04-19 11:15:44 UTC
Yes, Sure.

Comment 9 errata-xmlrpc 2018-10-30 09:59:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3111


Note You need to log in before you can comment on or make changes to this bug.